<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: ratings_include.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include LOCALE.LOCALESET."ratings.php";

function showratings($rating_type, $rating_item_id, $rating_link) {

	global $settings, $locale, $userdata;
	
	if ($settings['ratings_enabled'] == "1") {
		if (iMEMBER) {
			$d_rating = dbarray(dbquery("SELECT rating_vote,rating_datestamp FROM ".DB_RATINGS." WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' AND rating_user='".$userdata['user_id']."'"));
			if (isset($_POST['post_rating'])) {
				if (isnum($_POST['post_rating']) && $_POST['post_rating'] > 0 && $_POST['post_rating'] < 11 && !isset($d_rating['rating_vote'])) {
					$result = dbquery("INSERT INTO ".DB_RATINGS." (rating_item_id, rating_type, rating_user, rating_vote, rating_datestamp, rating_ip) VALUES ('$rating_item_id', '$rating_type', '".$userdata['user_id']."', '".$_POST['post_rating']."', '".time()."', '".USER_IP."')");
				}
				redirect($rating_link);
			} elseif (isset($_POST['remove_rating'])) {
				$result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='$rating_item_id' AND rating_type='$rating_type' AND rating_user='".$userdata['user_id']."'");
				redirect($rating_link);
			}
		}
		$ratings = range(1,10);
	
		opentable($locale['r100']);
		if (!iMEMBER) {
			echo "<div style='text-align:center'>".$locale['r104']."</div>\n";
		} elseif (isset($d_rating['rating_vote'])) {
			echo "<div style='text-align:center'>\n";
			echo "<form name='removerating' method='post' action='".$rating_link."'>\n";
			echo sprintf($locale['r105'], $d_rating['rating_vote'], showdate("longdate", $d_rating['rating_datestamp']))."<br /><br />\n";
			echo "<input type='submit' name='remove_rating' value='".$locale['r102']."' class='button' />\n";
			echo "</form>\n</div>\n";
		} else {
			echo "<div style='text-align:center'>\n";
			echo "<form name='postrating' method='post' action='".$rating_link."'>\n";
			foreach($ratings as $rating) {
				echo "<input type='submit' name='post_rating' value='".$rating."' class='button' />";
			}
			echo "</form>\n</div>";
		}
		echo "<hr />";
		$tot_votes = dbquery("SELECT COUNT(rating_item_id) AS num, AVG(rating_vote) AS avg FROM ".DB_RATINGS." WHERE rating_item_id='".$rating_item_id."' AND rating_type='".$rating_type."' GROUP BY rating_item_id");
		if(dbrows($tot_votes) > 0) {
		  $tot_votes = dbarray($tot_votes);   
			echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n";
				echo "<tr>\n";
				echo "<td class='tbl1'>Liczba ocen: </td>\n";
				echo "<td class='tbl1'>".number_format($tot_votes['num'])."</td>\n";
				echo "<td class='tbl1'>Srednia ocen: </td>\n";
				echo "<td class='tbl1'>".number_format($tot_votes['avg'], 2)."</td>\n";
				echo "</tr>\n";
		
			echo "</table>\n";
		} else {
			echo "<div style='text-align:center'>".$locale['r101']."</div>\n";
		}
		closetable();
	}
}
?>
